SoVRMLNormal(3)

NAME
SoVRMLNormal - The SoVRMLNormal class is used to bind normals to geometry.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLNormal.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVRMLNormal (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFVec3f vector

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLNormal ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLNormal class is used to bind normals to geometry. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

Normal {
  exposedField MFVec3f vector  []   # (-,)
}

This node defines a set of 3D surface normal vectors to be used in the vector field of some geometry nodes (e.g., SoVRMLIndexedFaceSet and SoVRMLElevationGrid). This node contains one multiple-valued field that contains the normal vectors. Normals shall be of unit length.

Constructor & Destructor Documentation

  SoVRMLNormal::SoVRMLNormal (void)
Constructor.

  SoVRMLNormal::~SoVRMLNormal () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLNormal::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLNormal::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoVRMLNormal::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLNormal::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoVRMLNormal::initClass (void) [static]

  void SoVRMLNormal::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoVRMLNormal::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoVRMLNormal::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoVRMLNormal::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoVRMLNormal::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoMFVec3f SoVRMLNormal::vector
The normal vectors. Empty by default.

Author

Generated automatically by Doxygen for Coin from the source code.